require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Avdata" do
    
    it "should be initialized with the download directory" do
      avdata  = Avdata.new(:directory => "#{File.dirname(__FILE__)}/files/test_database")
      avdata.directory.should be_a_kind_of(String)
      File.directory?(avdata.directory).should eq true
    end
    
    describe "find the key files we need" do
      before(:each) do
        @avdata  = Avdata.new(:directory => "#{File.dirname(__FILE__)}/files/test_database")
      end
      
      it "should find the APT.txt file" do
        File.exists?(@avdata.apt_file).should == true
      end
      
      it "should know when a file doesnt exist" do
        @avdata2  = Avdata.new(:directory => "/")
        @avdata2.apt_file.should == nil
      end
      
      
      it "should open the APT file and find airport entries" do
        airports = @avdata.get_airports
        airports.should be_a_kind_of(Array)
        airports.should_not be_empty
        airports.size.should == 5
      end
      
      it "should return airport objects" do
        airports = @avdata.get_airports
        airports[0].should_not be_a_kind_of(String)
        airports[0].should be_a_kind_of(Airport_record)
      end
      
      it "should parse the airport information" do
        airports = @avdata.get_airports
        airports[0].location_identifier.should eq 'ADK'
        airports[0].facility_name.should eq 'ADAK'
        airports[0].latitude.should eq '51-52-40.6700N'
        airports[0].longitude.should eq '176-38-45.7100W'
        airports[0].has_tower?.should eq false
        airports[0].icao.should eq 'PADK'
        
      end
      
      it "should get metar data" do
        @stn = Metar_record.new('KMWC')
        @stn.get_metar.should be_a_kind_of(String)
      end
      
    end


      
    
end
