require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Metar" do
    
    it "should be initialized with the station id" do
      metar  = Metar_record.new('KMWC')
      metar.station.should eq "KMWC"
    end    
    
    describe "Download and parse XML from NWS" do
      
      before(:each) do
        @stn = Metar_record.new('KMWC')
      end
      
      it "should get the XML document from the server" do
        @stn.adds_url.should eq "http://aviationweather.gov/adds/metars/index.php?station_ids=KMWC"
        @stn.get_xml.should be_a_kind_of(Nokogiri::HTML::Document)
        @stn.get_metar.should be_a_kind_of(String)
        #  should have something to read/parse the METAR data itself.
      end
      
      it "should fail gracefully" do
        @new_stn = Metar_record.new('XZXX')
        @new_stn.adds_url.should eq "http://aviationweather.gov/adds/metars/index.php?station_ids=XZXX"
        @new_stn.get_xml.should be_a_kind_of(Nokogiri::HTML::Document)
        @new_stn.get_metar.should eq nil
      end
      
    end
end
